Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163153 - add /etc/udev/rules.d/*.rules to initrd
Summary: add /etc/udev/rules.d/*.rules to initrd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 15:13 UTC by Avi Kivity
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 23:08:46 UTC


Attachments (Terms of Use)

Description Avi Kivity 2005-07-13 15:13:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
mkinitrd does not copy udev *.rules to the initrd, so if the finding the  
rootfs relies on udev rules, booting cannot proceed.  
  
I encountered this while making a bootable cdrom from fedora rpms, but there  
may be more scenarios. I don't think it can happen on a "normal" installation. 
  

Version-Release number of selected component (if applicable):
mkinitrd-4.2.15-1

How reproducible:
Always

Steps to Reproduce:
mkinited ... 

Actual Results:  initrd does not contain /etc/udev/rules.d/*.rules; if the rootfs is 
on /dev/cdrom (or usb drive, or ...), the root filesystem cannot be mounted. 

Expected Results:  initrd contains /etc/udev/rules.d/*.rules 

Additional info:

Comment 1 Peter Jones 2006-02-03 23:08:46 UTC
initrd doesn't use udev, and probably won't do so in the future.


Note You need to log in before you can comment on or make changes to this bug.